Bug 1261452 - [networking_30]'--fields' filter cannot work for router
[networking_30]'--fields' filter cannot work for router
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Networking (Show other bugs)
3.x
All All
medium Severity medium
: ---
: 3.x
Assigned To: Clayton Coleman
Meng Bo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-09 07:08 EDT by zhaozhanqi
Modified: 2015-11-23 16:18 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 16:18:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description zhaozhanqi 2015-09-09 07:08:29 EDT
Description of problem:
Create router with'--fields' filter, this did work well

Version-Release number of selected component (if applicable):
devenv_fedora_2303
oc v1.0.5-290-g1ba18e6
kubernetes v1.1.0-alpha.0-1605-g44c91b1
images version:
openshift/origin-haproxy-router latest   cb133ec295b8

How reproducible:
always

Steps to Reproduce:
1. Create one router with the latest images
   oadm router --credentials=$KUBECONFIG --service-account=default --latest-images=true
2. oc edit dc router for adding --fields filter
   $ oc edit dc -o json
     <--snip-->
      "args": [
                            "--fields=metadata.name=route-1
                        ],
     <--snip-->
3.  Added multi routes like folloing:
  # oc get route
NAME      HOST/PORT            PATH      SERVICE     LABELS                      TLS TERMINATION
route-1   first.example.com              endpoints   select=first,test=router    
route-2   second.example.com             endpoints   select=second,test=router   
route-3   third.example.com              endpoints   select=third,test=router

4. When the router is re-cerate, rsh into the container and check 'os_http_be.map

Actual results:
2. router pod will be re-created and work well
4. the file os_http_be.map is empty

Expected results:

step 4
 file 'os_http_be.map' should contain one record:
  first.example.com default_route-1
Additional info:
Comment 1 Clayton Coleman 2015-09-11 12:51:40 EDT
https://github.com/openshift/origin/pull/4600
Comment 2 zhaozhanqi 2015-09-14 06:37:50 EDT
Testing this issue on fedora_2334, with the latest origin-haproxy-router images

this issue has been fixed.

Note You need to log in before you can comment on or make changes to this bug.